var app = getApp()
var that=null
var sopenFrame=null
var wait=120
Page( {
  data: {
    loadingHidden:false,
    nodataHidden:true,
    t:0,
    t0:0,
    MemberId:0,
    mybalance:[],
    Start: 0,
    startDate:"",
    endDate:"",
    zsymoney:"0"
  },
 
  onLoad: function(options) {
      that = this 
      if(options.t){
        that.setData({
          t:options.t
        }); 
      }
      if(options.t0){
        that.setData({
          t0:options.t0
        }); 
      }
      if(options.MemberId){
        that.setData({
          MemberId:options.MemberId
        }); 
      }
      if(that.data.t==1){
        wx.setNavigationBarTitle({
           title: "今日扫码记录"
        })
      }
      if(that.data.t==2){
        wx.setNavigationBarTitle({
           title: "昨日扫码记录"
        })
      }
      that.clearCache();//清本页缓存
      that.getlist(0);
    }, // 下拉刷新
    onPullDownRefresh: function () {
       //在当前页面显示导航条加载动画
     wx.showNavigationBarLoading(); 
     //显示 loading 提示框。需主动调用 wx.hideLoading 才能关闭提示框
     wx.showLoading({
         title: '刷新中...',
     })
        that.clearCache();
        that.getlist(1);//第一次加载数据
    },

     // 页面上拉触底事件（上拉加载更多）
    onReachBottom: function () {
      if(that.data.loadingHidden){
        that.setData({
         loadingHidden:false
         }); 
         that.getlist(2);//后台获取新数据并追加渲染
       }else{
         wx.hideLoading();
       }
    }, 

 // 清缓存
 clearCache:function(){
    that.setData({
      loadingHidden:false,
      Start: 0,
      mybalance:[]
    }); 
},bindstartDate: function(e) {
   const checkoutDate = e.detail.value;
   this.setData({
    startDate: checkoutDate,
  });
},bindendDate: function(e) {
  const checkoutDate = e.detail.value;
  this.setData({
   endDate: checkoutDate,
 });
},onsearch: function(e) {
  that.clearCache();
  that.getlist(1);
},getlist: function(gp) {
      var userId = wx.getStorageSync("userId")
      var LoginId = wx.getStorageSync("LoginId")
      wx.request({
        url: app.globalData.apiurl + "/xapiajax.ashx?timestamp=" + (new Date().getTime() / 1000), 
        data: { 
           action:"getmybusiness_smlog",
           t:that.data.t,
           t0:that.data.t0,
           MemberId:that.data.MemberId,
           Start:that.data.Start,
           SJ:that.data.startDate,
           SJ2:that.data.endDate,
           userId:(userId==null?"":userId),
           LoginId:(LoginId==null?"":LoginId)
        },
        method:"GET",
        dataType:"json", 
        header: { 
          "content-type": "application/json" // 默认值
        },
        success (res) { 
         
            if(res.data.status==1){
              var tmpArr = null;
              tmpArr = that.data.mybalance;
              if(res.data.data.length>0){
                  tmpArr.push.apply(tmpArr,res.data.data);
              }
              that.setData({
                  mybalance: tmpArr,
                  Start: that.data.Start+res.data.data.length,
                  loadingHidden:true
              })
              if(gp==0||gp==1){
                that.setData({
                    zsymoney:res.data.zsymoney
                 })
                if(res.data.data.length==0){
                    that.setData({
                        nodataHidden:false
                    })
                }else{
                  that.setData({
                    nodataHidden:true
                   })
                }
            }
        }else{
          wx.showToast({
            title: res.data.msg,
            icon: "none",
            duration: 3000
           })
        }
        if(gp==1){
          //隐藏loading 提示框
          wx.hideLoading();
          //隐藏导航条加载动画
          wx.hideNavigationBarLoading();
          //停止下拉刷新
          wx.stopPullDownRefresh();
      }
          }
      })
    }
})
